Bug 25650 - Add ortho file for locale sat_IN
Summary: Add ortho file for locale sat_IN
Status: RESOLVED FIXED
Alias: None
Product: fontconfig
Classification: Unclassified
Component: orth (show other bugs)
Version: 2.8
Hardware: Other All
: highest normal
Assignee: Roozbeh Pournader
QA Contact: Behdad Esfahbod
URL:
Whiteboard:
Keywords:
Depends on: 42900
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-14 23:02 UTC by Parag
Modified: 2012-02-23 03:13 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Ortho file (2.36 KB, patch)
2010-03-03 03:05 UTC, Parag
Details | Splinter Review
Santali ortho file (2.46 KB, patch)
2012-02-22 22:07 UTC, Parag
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Parag 2009-12-14 23:02:02 UTC
please add ortho file for locale sat_IN@devanagari which is devanagari script
based language.
Comment 1 Parag 2010-03-03 03:05:59 UTC
Created attachment 33712 [details] [review]
Ortho file
Comment 2 Parag 2010-03-17 20:21:51 UTC
Ping for feedback on attached patch.
Comment 3 Parag 2010-04-05 03:40:42 UTC
Can we have fontconfig update before Final freeze of Fedora 13 development cycle?
Comment 4 Parag 2010-05-02 21:48:18 UTC
Behdad,
Fedora 13 Final freeze is due on tomorrow. Can we have new fontconfig built in Fedora 13 before that?
Comment 5 Parag 2010-12-08 01:31:30 UTC
Fedora 14 is already out since a month and still we are waiting for this fix to be included in fontconfig.

Please, can someone look into this and commit attached patch and release new fontconfig?

Thanks.
Comment 6 Behdad Esfahbod 2010-12-08 11:21:54 UTC
Why not just sat@devanagari?
Comment 7 Parag 2010-12-08 20:11:07 UTC
(In reply to comment #6)
> Why not just sat@devanagari?

I assumed ortho file name should be same as locale file name. If this
assumption is wrong then please use sat@devanagari.orth name.
Comment 8 Parag 2010-12-10 01:48:53 UTC
Locale file for this orthography is not yet in glibc. We are working with language people to get locale file in glibc. But I have not seen any documentation on orthography that will prevent addition of this orthography in advance. 

As per fontconfig-devel.sgml
"Fontconfig has orthographies for all of the ISO 639-1 languages" 

This sat locale code is part of ISO 639-1
Comment 9 Parag 2011-03-14 22:58:33 UTC
ping behdad
Comment 10 Parag 2011-03-14 23:01:09 UTC
I have updated Indic ortho files in local git checkout and copied that
directory to http://paragn.fedorapeople.org/fontconfig/
Comment 11 Parag 2012-02-20 21:56:15 UTC
glibc locale submitted for sat_IN uses Devanagari script.
Comment 12 Parag 2012-02-22 22:06:24 UTC
Just to update here. As we have default to Devanagari script for Santali language, we will use sat.orth as a filename.

Attaching a new patch.
Comment 13 Parag 2012-02-22 22:07:14 UTC
Created attachment 57503 [details] [review]
Santali ortho file
Comment 14 Akira TAGOH 2012-02-23 03:13:00 UTC
Fixed in 942cb16f.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.